devel/p5-Class-WhiteHole - The NetBSD Packages Collection

Perl5 module to ensure error on unhandled method calls

Its possible to accidentally inherit an AUTOLOAD method.  Often this
will happen if a class somewhere in the chain uses AutoLoader or
defines one of their own.  This can lead to confusing error messages
when method lookups fail.

Sometimes you want to avoid this accidental inheritance.  In that
case, inherit from Class::WhiteHole.  All unhandled methods will
produce normal Perl error messages.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 8.0earmv7hfp5-Class-WhiteHole-0.04nb13.tgz
NetBSD 8.0earmv7hfp5-Class-WhiteHole-0.04nb13.tgz
NetBSD 8.0earmv7hfp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 8.0i386p5-Class-WhiteHole-0.04nb13.tgz
NetBSD 8.0i386p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 8.0i386p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 8.0powerpcp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 8.0powerpcp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 8.0powerpcp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 8.0x86_64p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 8.0x86_64p5-Class-WhiteHole-0.04nb13.tgz
NetBSD 8.0x86_64p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0aarch64p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0aarch64p5-Class-WhiteHole-0.04nb13.tgz
NetBSD 9.0aarch64p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0aarch64p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0alphap5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0alphap5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0alphap5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0earmp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0earmv6hfp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0earmv6hfp5-Class-WhiteHole-0.04nb13.tgz
NetBSD 9.0earmv6hfp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0earmv6hfp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0earmv6hfp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0earmv7hfp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0earmv7hfp5-Class-WhiteHole-0.04nb13.tgz
NetBSD 9.0earmv7hfp5-Class-WhiteHole-0.04nb13.tgz
NetBSD 9.0earmv7hfp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0earmv7hfp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0earmv7hfp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0i386p5-Class-WhiteHole-0.04nb13.tgz
NetBSD 9.0i386p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0i386p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0mips64ebp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0mips64ebp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0mips64ebp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0powerpcp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0powerpcp5-Class-WhiteHole-0.04nb13.tgz
NetBSD 9.0powerpcp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0sparc64p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0sparc64p5-Class-WhiteHole-0.04nb13.tgz
NetBSD 9.0sparc64p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0sparc64p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0sparcp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0sparcp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0sparcp5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0x86_64p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0x86_64p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0x86_64p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0x86_64p5-Class-WhiteHole-0.04nb13.tgz
NetBSD 9.0x86_64p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0x86_64p5-Class-WhiteHole-0.04nb14.tgz
NetBSD 9.0x86_64p5-Class-WhiteHole-0.04nb14.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.